# GstRTSPConnection

This object manages the RTSP connection to the server. It provides function to receive and send bytes and messages.

## GstRTSPConnection

Opaque RTSP connection object.

## GstRtsp.RTSPConnection

Opaque RTSP connection object.

## GstRtsp.RTSPConnection

Opaque RTSP connection object.

### Methods

#### gst_rtsp_connection_add_extra_http_request_header

    gst_rtsp_connection_add_extra_http_request_header (GstRTSPConnection * conn,
                                                       const gchar * key,
                                                       const gchar * value)

Add header to be appended to any HTTP request made by connection. If the header already exists then the old header is replaced by the new header.

Only applicable in HTTP tunnel mode.

Parameters:

`conn` –

a GstRTSPConnection

`key` –

HTTP header name

`value` –

HTTP header value

Since : 1.24

#### GstRtsp.RTSPConnection.prototype.add_extra_http_request_header

    function GstRtsp.RTSPConnection.prototype.add_extra_http_request_header(key: String, value: String): {
        // javascript wrapper for 'gst_rtsp_connection_add_extra_http_request_header'
    }

Add header to be appended to any HTTP request made by connection. If the header already exists then the old header is replaced by the new header.

Only applicable in HTTP tunnel mode.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`key` (String) –

HTTP header name

`value` (String) –

HTTP header value

Since : 1.24

#### GstRtsp.RTSPConnection.add_extra_http_request_header

    def GstRtsp.RTSPConnection.add_extra_http_request_header (self, key, value):
        #python wrapper for 'gst_rtsp_connection_add_extra_http_request_header'

Add header to be appended to any HTTP request made by connection. If the header already exists then the old header is replaced by the new header.

Only applicable in HTTP tunnel mode.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`key` (str) –

HTTP header name

`value` (str) –

HTTP header value

Since : 1.24

#### gst_rtsp_connection_clear_auth_params

    gst_rtsp_connection_clear_auth_params (GstRTSPConnection * conn)

Clear the list of authentication directives stored in conn.

Parameters:

`conn` –

a GstRTSPConnection

#### GstRtsp.RTSPConnection.prototype.clear_auth_params

    function GstRtsp.RTSPConnection.prototype.clear_auth_params(): {
        // javascript wrapper for 'gst_rtsp_connection_clear_auth_params'
    }

Clear the list of authentication directives stored in conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

#### GstRtsp.RTSPConnection.clear_auth_params

    def GstRtsp.RTSPConnection.clear_auth_params (self):
        #python wrapper for 'gst_rtsp_connection_clear_auth_params'

Clear the list of authentication directives stored in conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

#### gst_rtsp_connection_close

    GstRTSPResult
    gst_rtsp_connection_close (GstRTSPConnection * conn)

Close the connected conn. After this call, the connection is in the same state as when it was first created.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

GST_RTSP_OK on success.

#### GstRtsp.RTSPConnection.prototype.close

    function GstRtsp.RTSPConnection.prototype.close(): {
        // javascript wrapper for 'gst_rtsp_connection_close'
    }

Close the connected conn. After this call, the connection is in the same state as when it was first created.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

#### GstRtsp.RTSPConnection.close

    def GstRtsp.RTSPConnection.close (self):
        #python wrapper for 'gst_rtsp_connection_close'

Close the connected conn. After this call, the connection is in the same state as when it was first created.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

#### gst_rtsp_connection_connect

    GstRTSPResult
    gst_rtsp_connection_connect (GstRTSPConnection * conn,
                                 GTimeVal * timeout)

Attempt to connect to the url of conn made with gst_rtsp_connection_create. If timeout is NULL this function can block forever. If timeout contains a valid timeout, this function will return GST_RTSP_ETIMEOUT after the timeout expired.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`timeout` –

a GTimeVal timeout

Returns –

GST_RTSP_OK when a connection could be made.

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.connect

    function GstRtsp.RTSPConnection.prototype.connect(timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_connect'
    }

Attempt to connect to the url of conn made with GstRtsp.prototype.rtsp_connection_create. If timeout is null this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (GLib.TimeVal) –

a GTimeVal timeout

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

deprecated : 1.18

#### GstRtsp.RTSPConnection.connect

    def GstRtsp.RTSPConnection.connect (self, timeout):
        #python wrapper for 'gst_rtsp_connection_connect'

Attempt to connect to the url of conn made with GstRtsp.rtsp_connection_create. If timeout is None this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (GLib.TimeVal) –

a GTimeVal timeout

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

deprecated : 1.18

#### gst_rtsp_connection_connect_usec

    GstRTSPResult
    gst_rtsp_connection_connect_usec (GstRTSPConnection * conn,
                                      gint64 timeout)

Attempt to connect to the url of conn made with gst_rtsp_connection_create. If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GST_RTSP_ETIMEOUT after the timeout expired.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`timeout` –

a timeout in microseconds

Returns –

GST_RTSP_OK when a connection could be made.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.connect_usec

    function GstRtsp.RTSPConnection.prototype.connect_usec(timeout: Number): {
        // javascript wrapper for 'gst_rtsp_connection_connect_usec'
    }

Attempt to connect to the url of conn made with GstRtsp.prototype.rtsp_connection_create. If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (Number) –

a timeout in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

Since : 1.18

#### GstRtsp.RTSPConnection.connect_usec

    def GstRtsp.RTSPConnection.connect_usec (self, timeout):
        #python wrapper for 'gst_rtsp_connection_connect_usec'

Attempt to connect to the url of conn made with GstRtsp.rtsp_connection_create. If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (int) –

a timeout in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

Since : 1.18

#### gst_rtsp_connection_connect_with_response

    GstRTSPResult
    gst_rtsp_connection_connect_with_response (GstRTSPConnection * conn,
                                               GTimeVal * timeout,
                                               GstRTSPMessage * response)

Attempt to connect to the url of conn made with gst_rtsp_connection_create. If timeout is NULL this function can block forever. If timeout contains a valid timeout, this function will return GST_RTSP_ETIMEOUT after the timeout expired. If conn is set to tunneled, response will contain a response to the tunneling request messages.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`timeout` –

a GTimeVal timeout

`response` –

a GstRTSPMessage

Returns –

GST_RTSP_OK when a connection could be made.

Since : 1.8

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.connect_with_response

    function GstRtsp.RTSPConnection.prototype.connect_with_response(timeout: GLib.TimeVal, response: GstRtsp.RTSPMessage): {
        // javascript wrapper for 'gst_rtsp_connection_connect_with_response'
    }

Attempt to connect to the url of conn made with GstRtsp.prototype.rtsp_connection_create. If timeout is null this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired. If conn is set to tunneled, response will contain a response to the tunneling request messages.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (GLib.TimeVal) –

a GTimeVal timeout

`response` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

Since : 1.8

deprecated : 1.18

#### GstRtsp.RTSPConnection.connect_with_response

    def GstRtsp.RTSPConnection.connect_with_response (self, timeout, response):
        #python wrapper for 'gst_rtsp_connection_connect_with_response'

Attempt to connect to the url of conn made with GstRtsp.rtsp_connection_create. If timeout is None this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired. If conn is set to tunneled, response will contain a response to the tunneling request messages.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (GLib.TimeVal) –

a GTimeVal timeout

`response` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

Since : 1.8

deprecated : 1.18

#### gst_rtsp_connection_connect_with_response_usec

    GstRTSPResult
    gst_rtsp_connection_connect_with_response_usec (GstRTSPConnection * conn,
                                                    gint64 timeout,
                                                    GstRTSPMessage * response)

Attempt to connect to the url of conn made with gst_rtsp_connection_create. If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GST_RTSP_ETIMEOUT after the timeout expired. If conn is set to tunneled, response will contain a response to the tunneling request messages.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`timeout` –

a timeout in microseconds

`response` –

a GstRTSPMessage

Returns –

GST_RTSP_OK when a connection could be made.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.connect_with_response_usec

    function GstRtsp.RTSPConnection.prototype.connect_with_response_usec(timeout: Number, response: GstRtsp.RTSPMessage): {
        // javascript wrapper for 'gst_rtsp_connection_connect_with_response_usec'
    }

Attempt to connect to the url of conn made with GstRtsp.prototype.rtsp_connection_create. If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired. If conn is set to tunneled, response will contain a response to the tunneling request messages.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (Number) –

a timeout in microseconds

`response` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

Since : 1.18

#### GstRtsp.RTSPConnection.connect_with_response_usec

    def GstRtsp.RTSPConnection.connect_with_response_usec (self, timeout, response):
        #python wrapper for 'gst_rtsp_connection_connect_with_response_usec'

Attempt to connect to the url of conn made with GstRtsp.rtsp_connection_create. If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired. If conn is set to tunneled, response will contain a response to the tunneling request messages.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (int) –

a timeout in microseconds

`response` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when a connection could be made.

Since : 1.18

#### gst_rtsp_connection_do_tunnel

    GstRTSPResult
    gst_rtsp_connection_do_tunnel (GstRTSPConnection * conn,
                                   GstRTSPConnection * conn2)

If conn received the first tunnel connection and conn2 received the second tunnel connection, link the two connections together so that conn manages the tunneled connection.

After this call, conn2 cannot be used anymore and must be freed with gst_rtsp_connection_free.

If conn2 is NULL then only the base64 decoding context will be setup for conn.

Parameters:

`conn` –

a GstRTSPConnection

`conn2` ( [nullable]) –

a GstRTSPConnection or NULL

Returns –

return GST_RTSP_OK on success.

#### GstRtsp.RTSPConnection.prototype.do_tunnel

    function GstRtsp.RTSPConnection.prototype.do_tunnel(conn2: GstRtsp.RTSPConnection): {
        // javascript wrapper for 'gst_rtsp_connection_do_tunnel'
    }

If conn received the first tunnel connection and conn2 received the second tunnel connection, link the two connections together so that conn manages the tunneled connection.

After this call, conn2 cannot be used anymore and must be freed with GstRtsp.RTSPConnection.prototype.free.

If conn2 is null then only the base64 decoding context will be setup for conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`conn2` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection or null

Returns (GstRtsp.RTSPResult) –

return GST_RTSP_OK on success.

#### GstRtsp.RTSPConnection.do_tunnel

    def GstRtsp.RTSPConnection.do_tunnel (self, conn2):
        #python wrapper for 'gst_rtsp_connection_do_tunnel'

If conn received the first tunnel connection and conn2 received the second tunnel connection, link the two connections together so that conn manages the tunneled connection.

After this call, conn2 cannot be used anymore and must be freed with GstRtsp.RTSPConnection.free.

If conn2 is None then only the base64 decoding context will be setup for conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`conn2` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection or None

Returns (GstRtsp.RTSPResult) –

return GST_RTSP_OK on success.

#### gst_rtsp_connection_flush

    GstRTSPResult
    gst_rtsp_connection_flush (GstRTSPConnection * conn,
                               gboolean flush)

Start or stop the flushing action on conn. When flushing, all current and future actions on conn will return GST_RTSP_EINTR until the connection is set to non-flushing mode again.

Parameters:

`conn` –

a GstRTSPConnection

`flush` –

start or stop the flush

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPConnection.prototype.flush

    function GstRtsp.RTSPConnection.prototype.flush(flush: Number): {
        // javascript wrapper for 'gst_rtsp_connection_flush'
    }

Start or stop the flushing action on conn. When flushing, all current and future actions on conn will return GstRtsp.RTSPResult.EINTR until the connection is set to non-flushing mode again.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`flush` (Number) –

start or stop the flush

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPConnection.flush

    def GstRtsp.RTSPConnection.flush (self, flush):
        #python wrapper for 'gst_rtsp_connection_flush'

Start or stop the flushing action on conn. When flushing, all current and future actions on conn will return GstRtsp.RTSPResult.EINTR until the connection is set to non-flushing mode again.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`flush` (bool) –

start or stop the flush

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_connection_free

    GstRTSPResult
    gst_rtsp_connection_free (GstRTSPConnection * conn)

Close and free conn.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

GST_RTSP_OK on success.

#### GstRtsp.RTSPConnection.prototype.free

    function GstRtsp.RTSPConnection.prototype.free(): {
        // javascript wrapper for 'gst_rtsp_connection_free'
    }

Close and free conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

#### GstRtsp.RTSPConnection.free

    def GstRtsp.RTSPConnection.free (self):
        #python wrapper for 'gst_rtsp_connection_free'

Close and free conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

#### gst_rtsp_connection_get_ignore_x_server_reply

    gboolean
    gst_rtsp_connection_get_ignore_x_server_reply (const GstRTSPConnection * conn)

Get the ignore_x_server_reply value.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

returns TRUE if the x-server-ip-address header reply will be ignored, else returns FALSE

Since : 1.20

#### GstRtsp.RTSPConnection.prototype.get_ignore_x_server_reply

    function GstRtsp.RTSPConnection.prototype.get_ignore_x_server_reply(): {
        // javascript wrapper for 'gst_rtsp_connection_get_ignore_x_server_reply'
    }

Get the ignore_x_server_reply value.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Number) –

returns true if the x-server-ip-address header reply will be ignored, else returns false

Since : 1.20

#### GstRtsp.RTSPConnection.get_ignore_x_server_reply

    def GstRtsp.RTSPConnection.get_ignore_x_server_reply (self):
        #python wrapper for 'gst_rtsp_connection_get_ignore_x_server_reply'

Get the ignore_x_server_reply value.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (bool) –

returns True if the x-server-ip-address header reply will be ignored, else returns False

Since : 1.20

#### gst_rtsp_connection_get_ip

    const gchar *
    gst_rtsp_connection_get_ip (const GstRTSPConnection * conn)

Retrieve the IP address of the other end of conn.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

The IP address as a string. this value remains valid until the connection is closed.

#### GstRtsp.RTSPConnection.prototype.get_ip

    function GstRtsp.RTSPConnection.prototype.get_ip(): {
        // javascript wrapper for 'gst_rtsp_connection_get_ip'
    }

Retrieve the IP address of the other end of conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (String) –

The IP address as a string. this value remains valid until the connection is closed.

#### GstRtsp.RTSPConnection.get_ip

    def GstRtsp.RTSPConnection.get_ip (self):
        #python wrapper for 'gst_rtsp_connection_get_ip'

Retrieve the IP address of the other end of conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (str) –

The IP address as a string. this value remains valid until the connection is closed.

#### gst_rtsp_connection_get_read_socket

    GSocket *
    gst_rtsp_connection_get_read_socket (const GstRTSPConnection * conn)

Get the file descriptor for reading.

Parameters:

`conn` –

a GstRTSPConnection

Returns ( [transfer: none][nullable]) –

the file descriptor used for reading or NULL on error. The file descriptor remains valid until the connection is closed.

#### GstRtsp.RTSPConnection.prototype.get_read_socket

    function GstRtsp.RTSPConnection.prototype.get_read_socket(): {
        // javascript wrapper for 'gst_rtsp_connection_get_read_socket'
    }

Get the file descriptor for reading.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.Socket) –

the file descriptor used for reading or null on error. The file descriptor remains valid until the connection is closed.

#### GstRtsp.RTSPConnection.get_read_socket

    def GstRtsp.RTSPConnection.get_read_socket (self):
        #python wrapper for 'gst_rtsp_connection_get_read_socket'

Get the file descriptor for reading.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.Socket) –

the file descriptor used for reading or None on error. The file descriptor remains valid until the connection is closed.

#### gst_rtsp_connection_get_remember_session_id

    gboolean
    gst_rtsp_connection_get_remember_session_id (GstRTSPConnection * conn)

Parameters:

`conn` –

a GstRTSPConnection

Returns –

TRUE if the GstRTSPConnection remembers the session id in the last response to set it on any further request.

#### GstRtsp.RTSPConnection.prototype.get_remember_session_id

    function GstRtsp.RTSPConnection.prototype.get_remember_session_id(): {
        // javascript wrapper for 'gst_rtsp_connection_get_remember_session_id'
    }

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Number) –

true if the GstRtsp.RTSPConnection remembers the session id in the last response to set it on any further request.

#### GstRtsp.RTSPConnection.get_remember_session_id

    def GstRtsp.RTSPConnection.get_remember_session_id (self):
        #python wrapper for 'gst_rtsp_connection_get_remember_session_id'

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (bool) –

True if the GstRtsp.RTSPConnection remembers the session id in the last response to set it on any further request.

#### gst_rtsp_connection_get_tls

    GTlsConnection *
    gst_rtsp_connection_get_tls (GstRTSPConnection * conn,
                                 GError ** error)

Get the TLS connection of conn.

For client side this will return the GTlsClientConnection when connected over TLS.

For server side connections, this function will create a GTlsServerConnection when called the first time and will return that same connection on subsequent calls. The server is then responsible for configuring the TLS connection.

Parameters:

`conn` –

a GstRTSPConnection

`error` –

GError for error reporting, or NULL to ignore.

Returns ( [transfer: none]) –

the TLS connection for conn.

Since : 1.2

#### GstRtsp.RTSPConnection.prototype.get_tls

    function GstRtsp.RTSPConnection.prototype.get_tls(): {
        // javascript wrapper for 'gst_rtsp_connection_get_tls'
    }

Get the TLS connection of conn.

For client side this will return the Gio.TlsClientConnection when connected over TLS.

For server side connections, this function will create a GTlsServerConnection when called the first time and will return that same connection on subsequent calls. The server is then responsible for configuring the TLS connection.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsConnection) –

the TLS connection for conn.

Since : 1.2

#### GstRtsp.RTSPConnection.get_tls

    @raises(GLib.GError)
    def GstRtsp.RTSPConnection.get_tls (self):
        #python wrapper for 'gst_rtsp_connection_get_tls'

Get the TLS connection of conn.

For client side this will return the Gio.TlsClientConnection when connected over TLS.

For server side connections, this function will create a GTlsServerConnection when called the first time and will return that same connection on subsequent calls. The server is then responsible for configuring the TLS connection.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsConnection) –

the TLS connection for conn.

Since : 1.2

#### gst_rtsp_connection_get_tls_database

    GTlsDatabase *
    gst_rtsp_connection_get_tls_database (GstRTSPConnection * conn)

Gets the anchor certificate authorities database that will be used after a server certificate can't be verified with the default certificate database.

Parameters:

`conn` –

a GstRTSPConnection

Returns ( [transfer: full][nullable]) –

the anchor certificate authorities database, or NULL if no database has been previously set. Use g_object_unref to release the certificate database.

Since : 1.4

#### GstRtsp.RTSPConnection.prototype.get_tls_database

    function GstRtsp.RTSPConnection.prototype.get_tls_database(): {
        // javascript wrapper for 'gst_rtsp_connection_get_tls_database'
    }

Gets the anchor certificate authorities database that will be used after a server certificate can't be verified with the default certificate database.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsDatabase) –

the anchor certificate authorities database, or NULL if no database has been previously set. Use GObject.Object.prototype.unref to release the certificate database.

Since : 1.4

#### GstRtsp.RTSPConnection.get_tls_database

    def GstRtsp.RTSPConnection.get_tls_database (self):
        #python wrapper for 'gst_rtsp_connection_get_tls_database'

Gets the anchor certificate authorities database that will be used after a server certificate can't be verified with the default certificate database.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsDatabase) –

the anchor certificate authorities database, or NULL if no database has been previously set. Use GObject.Object.unref to release the certificate database.

Since : 1.4

#### gst_rtsp_connection_get_tls_interaction

    GTlsInteraction *
    gst_rtsp_connection_get_tls_interaction (GstRTSPConnection * conn)

Gets a GTlsInteraction object to be used when the connection or certificate database need to interact with the user. This will be used to prompt the user for passwords where necessary.

Parameters:

`conn` –

a GstRTSPConnection

Returns ( [transfer: full][nullable]) –

a reference on the GTlsInteraction. Use g_object_unref to release.

Since : 1.6

#### GstRtsp.RTSPConnection.prototype.get_tls_interaction

    function GstRtsp.RTSPConnection.prototype.get_tls_interaction(): {
        // javascript wrapper for 'gst_rtsp_connection_get_tls_interaction'
    }

Gets a Gio.TlsInteraction object to be used when the connection or certificate database need to interact with the user. This will be used to prompt the user for passwords where necessary.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsInteraction) –

a reference on the Gio.TlsInteraction. Use GObject.Object.prototype.unref to release.

Since : 1.6

#### GstRtsp.RTSPConnection.get_tls_interaction

    def GstRtsp.RTSPConnection.get_tls_interaction (self):
        #python wrapper for 'gst_rtsp_connection_get_tls_interaction'

Gets a Gio.TlsInteraction object to be used when the connection or certificate database need to interact with the user. This will be used to prompt the user for passwords where necessary.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsInteraction) –

a reference on the Gio.TlsInteraction. Use GObject.Object.unref to release.

Since : 1.6

#### gst_rtsp_connection_get_tls_validation_flags

    GTlsCertificateFlags
    gst_rtsp_connection_get_tls_validation_flags (GstRTSPConnection * conn)

Gets the TLS validation flags used to verify the peer certificate when a TLS connection is established.

GLib guarantees that if certificate verification fails, at least one error will be set, but it does not guarantee that all possible errors will be set. Accordingly, you may not safely decide to ignore any particular type of error.

For example, it would be incorrect to ignore G_TLS_CERTIFICATE_EXPIRED if you want to allow expired certificates, because this could potentially be the only error flag set even if other problems exist with the certificate.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

the validation flags.

Since : 1.2.1

#### GstRtsp.RTSPConnection.prototype.get_tls_validation_flags

    function GstRtsp.RTSPConnection.prototype.get_tls_validation_flags(): {
        // javascript wrapper for 'gst_rtsp_connection_get_tls_validation_flags'
    }

Gets the TLS validation flags used to verify the peer certificate when a TLS connection is established.

GLib guarantees that if certificate verification fails, at least one error will be set, but it does not guarantee that all possible errors will be set. Accordingly, you may not safely decide to ignore any particular type of error.

For example, it would be incorrect to ignore Gio.TlsCertificateFlags.EXPIRED if you want to allow expired certificates, because this could potentially be the only error flag set even if other problems exist with the certificate.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsCertificateFlags) –

the validation flags.

Since : 1.2.1

#### GstRtsp.RTSPConnection.get_tls_validation_flags

    def GstRtsp.RTSPConnection.get_tls_validation_flags (self):
        #python wrapper for 'gst_rtsp_connection_get_tls_validation_flags'

Gets the TLS validation flags used to verify the peer certificate when a TLS connection is established.

GLib guarantees that if certificate verification fails, at least one error will be set, but it does not guarantee that all possible errors will be set. Accordingly, you may not safely decide to ignore any particular type of error.

For example, it would be incorrect to ignore Gio.TlsCertificateFlags.EXPIRED if you want to allow expired certificates, because this could potentially be the only error flag set even if other problems exist with the certificate.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.TlsCertificateFlags) –

the validation flags.

Since : 1.2.1

#### gst_rtsp_connection_get_tunnelid

    const gchar *
    gst_rtsp_connection_get_tunnelid (const GstRTSPConnection * conn)

Get the tunnel session id the connection.

Parameters:

`conn` –

a GstRTSPConnection

Returns ( [nullable]) –

returns a non-empty string if conn is being tunneled over HTTP.

#### GstRtsp.RTSPConnection.prototype.get_tunnelid

    function GstRtsp.RTSPConnection.prototype.get_tunnelid(): {
        // javascript wrapper for 'gst_rtsp_connection_get_tunnelid'
    }

Get the tunnel session id the connection.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (String) –

returns a non-empty string if conn is being tunneled over HTTP.

#### GstRtsp.RTSPConnection.get_tunnelid

    def GstRtsp.RTSPConnection.get_tunnelid (self):
        #python wrapper for 'gst_rtsp_connection_get_tunnelid'

Get the tunnel session id the connection.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (str) –

returns a non-empty string if conn is being tunneled over HTTP.

#### gst_rtsp_connection_get_url

    GstRTSPUrl *
    gst_rtsp_connection_get_url (const GstRTSPConnection * conn)

Retrieve the URL of the other end of conn.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

The URL. This value remains valid until the connection is freed.

#### GstRtsp.RTSPConnection.prototype.get_url

    function GstRtsp.RTSPConnection.prototype.get_url(): {
        // javascript wrapper for 'gst_rtsp_connection_get_url'
    }

Retrieve the URL of the other end of conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPUrl) –

The URL. This value remains valid until the connection is freed.

#### GstRtsp.RTSPConnection.get_url

    def GstRtsp.RTSPConnection.get_url (self):
        #python wrapper for 'gst_rtsp_connection_get_url'

Retrieve the URL of the other end of conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPUrl) –

The URL. This value remains valid until the connection is freed.

#### gst_rtsp_connection_get_write_socket

    GSocket *
    gst_rtsp_connection_get_write_socket (const GstRTSPConnection * conn)

Get the file descriptor for writing.

Parameters:

`conn` –

a GstRTSPConnection

Returns ( [transfer: none][nullable]) –

the file descriptor used for writing or NULL on error. The file descriptor remains valid until the connection is closed.

#### GstRtsp.RTSPConnection.prototype.get_write_socket

    function GstRtsp.RTSPConnection.prototype.get_write_socket(): {
        // javascript wrapper for 'gst_rtsp_connection_get_write_socket'
    }

Get the file descriptor for writing.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.Socket) –

the file descriptor used for writing or NULL on error. The file descriptor remains valid until the connection is closed.

#### GstRtsp.RTSPConnection.get_write_socket

    def GstRtsp.RTSPConnection.get_write_socket (self):
        #python wrapper for 'gst_rtsp_connection_get_write_socket'

Get the file descriptor for writing.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Gio.Socket) –

the file descriptor used for writing or NULL on error. The file descriptor remains valid until the connection is closed.

#### gst_rtsp_connection_is_tunneled

    gboolean
    gst_rtsp_connection_is_tunneled (const GstRTSPConnection * conn)

Get the tunneling state of the connection.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

if conn is using HTTP tunneling.

#### GstRtsp.RTSPConnection.prototype.is_tunneled

    function GstRtsp.RTSPConnection.prototype.is_tunneled(): {
        // javascript wrapper for 'gst_rtsp_connection_is_tunneled'
    }

Get the tunneling state of the connection.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Number) –

if conn is using HTTP tunneling.

#### GstRtsp.RTSPConnection.is_tunneled

    def GstRtsp.RTSPConnection.is_tunneled (self):
        #python wrapper for 'gst_rtsp_connection_is_tunneled'

Get the tunneling state of the connection.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (bool) –

if conn is using HTTP tunneling.

#### gst_rtsp_connection_next_timeout

    GstRTSPResult
    gst_rtsp_connection_next_timeout (GstRTSPConnection * conn,
                                      GTimeVal * timeout)

Calculate the next timeout for conn, storing the result in timeout.

Parameters:

`conn` –

a GstRTSPConnection

`timeout` –

a timeout

Returns –

GST_RTSP_OK.

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.next_timeout

    function GstRtsp.RTSPConnection.prototype.next_timeout(timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_next_timeout'
    }

Calculate the next timeout for conn, storing the result in timeout.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (GLib.TimeVal) –

a timeout

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

deprecated : 1.18

#### GstRtsp.RTSPConnection.next_timeout

    def GstRtsp.RTSPConnection.next_timeout (self, timeout):
        #python wrapper for 'gst_rtsp_connection_next_timeout'

Calculate the next timeout for conn, storing the result in timeout.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`timeout` (GLib.TimeVal) –

a timeout

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

deprecated : 1.18

#### gst_rtsp_connection_next_timeout_usec

    gint64
    gst_rtsp_connection_next_timeout_usec (GstRTSPConnection * conn)

Calculate the next timeout for conn

Parameters:

`conn` –

a GstRTSPConnection

Returns –

the next timeout in microseconds

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.next_timeout_usec

    function GstRtsp.RTSPConnection.prototype.next_timeout_usec(): {
        // javascript wrapper for 'gst_rtsp_connection_next_timeout_usec'
    }

Calculate the next timeout for conn

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Number) –

the next timeout in microseconds

Since : 1.18

#### GstRtsp.RTSPConnection.next_timeout_usec

    def GstRtsp.RTSPConnection.next_timeout_usec (self):
        #python wrapper for 'gst_rtsp_connection_next_timeout_usec'

Calculate the next timeout for conn

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (int) –

the next timeout in microseconds

Since : 1.18

#### gst_rtsp_connection_poll

    GstRTSPResult
    gst_rtsp_connection_poll (GstRTSPConnection * conn,
                              GstRTSPEvent events,
                              GstRTSPEvent * revents,
                              GTimeVal * timeout)

Wait up to the specified timeout for the connection to become available for at least one of the operations specified in events. When the function returns with GST_RTSP_OK, revents will contain a bitmask of available operations on conn.

timeout can be NULL, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`events` –

a bitmask of GstRTSPEvent flags to check

`revents` ( [out]) –

location for result flags

`timeout` –

a timeout

Returns –

GST_RTSP_OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.poll

    function GstRtsp.RTSPConnection.prototype.poll(events: GstRtsp.RTSPEvent, timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_poll'
    }

Wait up to the specified timeout for the connection to become available for at least one of the operations specified in events. When the function returns with GstRtsp.RTSPResult.OK, revents will contain a bitmask of available operations on conn.

timeout can be null, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`events` (GstRtsp.RTSPEvent) –

a bitmask of GstRtsp.RTSPEvent flags to check

`timeout` (GLib.TimeVal) –

a timeout

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`revents` (GstRtsp.RTSPEvent ) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.poll

    def GstRtsp.RTSPConnection.poll (self, events, timeout):
        #python wrapper for 'gst_rtsp_connection_poll'

Wait up to the specified timeout for the connection to become available for at least one of the operations specified in events. When the function returns with GstRtsp.RTSPResult.OK, revents will contain a bitmask of available operations on conn.

timeout can be None, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`events` (GstRtsp.RTSPEvent) –

a bitmask of GstRtsp.RTSPEvent flags to check

`timeout` (GLib.TimeVal) –

a timeout

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`revents` (GstRtsp.RTSPEvent ) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### gst_rtsp_connection_poll_usec

    GstRTSPResult
    gst_rtsp_connection_poll_usec (GstRTSPConnection * conn,
                                   GstRTSPEvent events,
                                   GstRTSPEvent * revents,
                                   gint64 timeout)

Wait up to the specified timeout for the connection to become available for at least one of the operations specified in events. When the function returns with GST_RTSP_OK, revents will contain a bitmask of available operations on conn.

timeout can be 0, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`events` –

a bitmask of GstRTSPEvent flags to check

`revents` ( [out]) –

location for result flags

`timeout` –

a timeout in microseconds

Returns –

GST_RTSP_OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.poll_usec

    function GstRtsp.RTSPConnection.prototype.poll_usec(events: GstRtsp.RTSPEvent, timeout: Number): {
        // javascript wrapper for 'gst_rtsp_connection_poll_usec'
    }

Wait up to the specified timeout for the connection to become available for at least one of the operations specified in events. When the function returns with GstRtsp.RTSPResult.OK, revents will contain a bitmask of available operations on conn.

timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`events` (GstRtsp.RTSPEvent) –

a bitmask of GstRtsp.RTSPEvent flags to check

`timeout` (Number) –

a timeout in microseconds

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`revents` (GstRtsp.RTSPEvent ) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.poll_usec

    def GstRtsp.RTSPConnection.poll_usec (self, events, timeout):
        #python wrapper for 'gst_rtsp_connection_poll_usec'

Wait up to the specified timeout for the connection to become available for at least one of the operations specified in events. When the function returns with GstRtsp.RTSPResult.OK, revents will contain a bitmask of available operations on conn.

timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`events` (GstRtsp.RTSPEvent) –

a bitmask of GstRtsp.RTSPEvent flags to check

`timeout` (int) –

a timeout in microseconds

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`revents` (GstRtsp.RTSPEvent ) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### gst_rtsp_connection_read

    GstRTSPResult
    gst_rtsp_connection_read (GstRTSPConnection * conn,
                              guint8 * data,
                              guint size,
                              GTimeVal * timeout)

Attempt to read size bytes into data from the connected conn, blocking up to the specified timeout. timeout can be NULL, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`data` ( [array length=size]) –

the data to read

`size` –

the size of data

`timeout` –

a timeout value or NULL

Returns –

GST_RTSP_OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.read

    function GstRtsp.RTSPConnection.prototype.read(data: [ Number ], size: Number, timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_read'
    }

Attempt to read size bytes into data from the connected conn, blocking up to the specified timeout. timeout can be null, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ Number ]) –

the data to read

`size` (Number) –

the size of data

`timeout` (GLib.TimeVal) –

a timeout value or null

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.read

    def GstRtsp.RTSPConnection.read (self, data, size, timeout):
        #python wrapper for 'gst_rtsp_connection_read'

Attempt to read size bytes into data from the connected conn, blocking up to the specified timeout. timeout can be None, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ int ]) –

the data to read

`size` (int) –

the size of data

`timeout` (GLib.TimeVal) –

a timeout value or None

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### gst_rtsp_connection_read_usec

    GstRTSPResult
    gst_rtsp_connection_read_usec (GstRTSPConnection * conn,
                                   guint8 * data,
                                   guint size,
                                   gint64 timeout)

Attempt to read size bytes into data from the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`data` ( [array length=size]) –

the data to read

`size` –

the size of data

`timeout` –

a timeout value in microseconds

Returns –

GST_RTSP_OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.read_usec

    function GstRtsp.RTSPConnection.prototype.read_usec(data: [ Number ], size: Number, timeout: Number): {
        // javascript wrapper for 'gst_rtsp_connection_read_usec'
    }

Attempt to read size bytes into data from the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ Number ]) –

the data to read

`size` (Number) –

the size of data

`timeout` (Number) –

a timeout value in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.read_usec

    def GstRtsp.RTSPConnection.read_usec (self, data, size, timeout):
        #python wrapper for 'gst_rtsp_connection_read_usec'

Attempt to read size bytes into data from the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ int ]) –

the data to read

`size` (int) –

the size of data

`timeout` (int) –

a timeout value in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### gst_rtsp_connection_receive

    GstRTSPResult
    gst_rtsp_connection_receive (GstRTSPConnection * conn,
                                 GstRTSPMessage * message,
                                 GTimeVal * timeout)

Attempt to read into message from the connected conn, blocking up to the specified timeout. timeout can be NULL, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`message` ( [transfer: none]) –

the message to read

`timeout` –

a timeout value or NULL

Returns –

GST_RTSP_OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.receive

    function GstRtsp.RTSPConnection.prototype.receive(message: GstRtsp.RTSPMessage, timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_receive'
    }

Attempt to read into message from the connected conn, blocking up to the specified timeout. timeout can be null, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to read

`timeout` (GLib.TimeVal) –

a timeout value or null

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.receive

    def GstRtsp.RTSPConnection.receive (self, message, timeout):
        #python wrapper for 'gst_rtsp_connection_receive'

Attempt to read into message from the connected conn, blocking up to the specified timeout. timeout can be None, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to read

`timeout` (GLib.TimeVal) –

a timeout value or None

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### gst_rtsp_connection_receive_usec

    GstRTSPResult
    gst_rtsp_connection_receive_usec (GstRTSPConnection * conn,
                                      GstRTSPMessage * message,
                                      gint64 timeout)

Attempt to read into message from the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`message` ( [transfer: none]) –

the message to read

`timeout` –

a timeout value or 0

Returns –

GST_RTSP_OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.receive_usec

    function GstRtsp.RTSPConnection.prototype.receive_usec(message: GstRtsp.RTSPMessage, timeout: Number): {
        // javascript wrapper for 'gst_rtsp_connection_receive_usec'
    }

Attempt to read into message from the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to read

`timeout` (Number) –

a timeout value or 0

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.receive_usec

    def GstRtsp.RTSPConnection.receive_usec (self, message, timeout):
        #python wrapper for 'gst_rtsp_connection_receive_usec'

Attempt to read into message from the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to read

`timeout` (int) –

a timeout value or 0

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### gst_rtsp_connection_reset_timeout

    GstRTSPResult
    gst_rtsp_connection_reset_timeout (GstRTSPConnection * conn)

Reset the timeout of conn.

Parameters:

`conn` –

a GstRTSPConnection

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPConnection.prototype.reset_timeout

    function GstRtsp.RTSPConnection.prototype.reset_timeout(): {
        // javascript wrapper for 'gst_rtsp_connection_reset_timeout'
    }

Reset the timeout of conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPConnection.reset_timeout

    def GstRtsp.RTSPConnection.reset_timeout (self):
        #python wrapper for 'gst_rtsp_connection_reset_timeout'

Reset the timeout of conn.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_connection_send

    GstRTSPResult
    gst_rtsp_connection_send (GstRTSPConnection * conn,
                              GstRTSPMessage * message,
                              GTimeVal * timeout)

Attempt to send message to the connected conn, blocking up to the specified timeout. timeout can be NULL, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`message` –

the message to send

`timeout` –

a timeout value or NULL

Returns –

GST_RTSP_OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.send

    function GstRtsp.RTSPConnection.prototype.send(message: GstRtsp.RTSPMessage, timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_send'
    }

Attempt to send message to the connected conn, blocking up to the specified timeout. timeout can be null, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to send

`timeout` (GLib.TimeVal) –

a timeout value or null

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.send

    def GstRtsp.RTSPConnection.send (self, message, timeout):
        #python wrapper for 'gst_rtsp_connection_send'

Attempt to send message to the connected conn, blocking up to the specified timeout. timeout can be None, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to send

`timeout` (GLib.TimeVal) –

a timeout value or None

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### gst_rtsp_connection_send_messages

    GstRTSPResult
    gst_rtsp_connection_send_messages (GstRTSPConnection * conn,
                                       GstRTSPMessage * messages,
                                       guint n_messages,
                                       GTimeVal * timeout)

Attempt to send messages to the connected conn, blocking up to the specified timeout. timeout can be NULL, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`messages` ( [array length=n_messages]) –

the messages to send

`n_messages` –

the number of messages to send

`timeout` –

a timeout value or NULL

Returns –

GST_RTSP_OK on success.

Since : 1.16

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.send_messages

    function GstRtsp.RTSPConnection.prototype.send_messages(messages: [ GstRtsp.RTSPMessage ], n_messages: Number, timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_send_messages'
    }

Attempt to send messages to the connected conn, blocking up to the specified timeout. timeout can be null, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`messages` ([ GstRtsp.RTSPMessage ]) –

the messages to send

`n_messages` (Number) –

the number of messages to send

`timeout` (GLib.TimeVal) –

a timeout value or null

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.16

deprecated : 1.18

#### GstRtsp.RTSPConnection.send_messages

    def GstRtsp.RTSPConnection.send_messages (self, messages, n_messages, timeout):
        #python wrapper for 'gst_rtsp_connection_send_messages'

Attempt to send messages to the connected conn, blocking up to the specified timeout. timeout can be None, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`messages` ([ GstRtsp.RTSPMessage ]) –

the messages to send

`n_messages` (int) –

the number of messages to send

`timeout` (GLib.TimeVal) –

a timeout value or None

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.16

deprecated : 1.18

#### gst_rtsp_connection_send_messages_usec

    GstRTSPResult
    gst_rtsp_connection_send_messages_usec (GstRTSPConnection * conn,
                                            GstRTSPMessage * messages,
                                            guint n_messages,
                                            gint64 timeout)

Attempt to send messages to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`messages` ( [array length=n_messages]) –

the messages to send

`n_messages` –

the number of messages to send

`timeout` –

a timeout value in microseconds

Returns –

GST_RTSP_OK on Since.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.send_messages_usec

    function GstRtsp.RTSPConnection.prototype.send_messages_usec(messages: [ GstRtsp.RTSPMessage ], n_messages: Number, timeout: Number): {
        // javascript wrapper for 'gst_rtsp_connection_send_messages_usec'
    }

Attempt to send messages to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`messages` ([ GstRtsp.RTSPMessage ]) –

the messages to send

`n_messages` (Number) –

the number of messages to send

`timeout` (Number) –

a timeout value in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on Since.

Since : 1.18

#### GstRtsp.RTSPConnection.send_messages_usec

    def GstRtsp.RTSPConnection.send_messages_usec (self, messages, n_messages, timeout):
        #python wrapper for 'gst_rtsp_connection_send_messages_usec'

Attempt to send messages to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`messages` ([ GstRtsp.RTSPMessage ]) –

the messages to send

`n_messages` (int) –

the number of messages to send

`timeout` (int) –

a timeout value in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on Since.

Since : 1.18

#### gst_rtsp_connection_send_usec

    GstRTSPResult
    gst_rtsp_connection_send_usec (GstRTSPConnection * conn,
                                   GstRTSPMessage * message,
                                   gint64 timeout)

Attempt to send message to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`message` –

the message to send

`timeout` –

a timeout value in microseconds

Returns –

GST_RTSP_OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.send_usec

    function GstRtsp.RTSPConnection.prototype.send_usec(message: GstRtsp.RTSPMessage, timeout: Number): {
        // javascript wrapper for 'gst_rtsp_connection_send_usec'
    }

Attempt to send message to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to send

`timeout` (Number) –

a timeout value in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.send_usec

    def GstRtsp.RTSPConnection.send_usec (self, message, timeout):
        #python wrapper for 'gst_rtsp_connection_send_usec'

Attempt to send message to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`message` (GstRtsp.RTSPMessage) –

the message to send

`timeout` (int) –

a timeout value in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### gst_rtsp_connection_set_accept_certificate_func

    gst_rtsp_connection_set_accept_certificate_func (GstRTSPConnection * conn,
                                                     GstRTSPConnectionAcceptCertificateFunc func,
                                                     gpointer user_data,
                                                     GDestroyNotify destroy_notify)

Sets a custom accept-certificate function for checking certificates for validity. This will directly map to GTlsConnection 's "accept-certificate" signal and be performed after the default checks of GstRTSPConnection (checking against the GTlsDatabase with the given GTlsCertificateFlags) have failed. If no GTlsDatabase is set on this connection, only func will be called.

Parameters:

`conn` –

a GstRTSPConnection

`func` –

a GstRTSPConnectionAcceptCertificateFunc to check certificates

`user_data` –

User data passed to func

`destroy_notify` –

GDestroyNotify for user_data

Since : 1.14

#### GstRtsp.RTSPConnection.prototype.set_accept_certificate_func

    function GstRtsp.RTSPConnection.prototype.set_accept_certificate_func(func: GstRtsp.RTSPConnectionAcceptCertificateFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_connection_set_accept_certificate_func'
    }

Sets a custom accept-certificate function for checking certificates for validity. This will directly map to Gio.TlsConnection 's "accept-certificate" signal and be performed after the default checks of GstRtsp.RTSPConnection (checking against the Gio.TlsDatabase with the given Gio.TlsCertificateFlags) have failed. If no Gio.TlsDatabase is set on this connection, only func will be called.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`func` (GstRtsp.RTSPConnectionAcceptCertificateFunc) –

a GstRtsp.RTSPConnectionAcceptCertificateFunc to check certificates

`user_data` (Object) –

User data passed to func

Since : 1.14

#### GstRtsp.RTSPConnection.set_accept_certificate_func

    def GstRtsp.RTSPConnection.set_accept_certificate_func (self, func, *user_data):
        #python wrapper for 'gst_rtsp_connection_set_accept_certificate_func'

Sets a custom accept-certificate function for checking certificates for validity. This will directly map to Gio.TlsConnection 's "accept-certificate" signal and be performed after the default checks of GstRtsp.RTSPConnection (checking against the Gio.TlsDatabase with the given Gio.TlsCertificateFlags) have failed. If no Gio.TlsDatabase is set on this connection, only func will be called.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`func` (GstRtsp.RTSPConnectionAcceptCertificateFunc) –

a GstRtsp.RTSPConnectionAcceptCertificateFunc to check certificates

`user_data` (variadic) –

User data passed to func

Since : 1.14

#### gst_rtsp_connection_set_auth

    GstRTSPResult
    gst_rtsp_connection_set_auth (GstRTSPConnection * conn,
                                  GstRTSPAuthMethod method,
                                  const gchar * user,
                                  const gchar * pass)

Configure conn for authentication mode method with user and pass as the user and password respectively.

Parameters:

`conn` –

a GstRTSPConnection

`method` –

authentication method

`user` –

the user

`pass` –

the password

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPConnection.prototype.set_auth

    function GstRtsp.RTSPConnection.prototype.set_auth(method: GstRtsp.RTSPAuthMethod, user: String, pass: String): {
        // javascript wrapper for 'gst_rtsp_connection_set_auth'
    }

Configure conn for authentication mode method with user and pass as the user and password respectively.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`method` (GstRtsp.RTSPAuthMethod) –

authentication method

`user` (String) –

the user

`pass` (String) –

the password

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPConnection.set_auth

    def GstRtsp.RTSPConnection.set_auth (self, method, user, pass):
        #python wrapper for 'gst_rtsp_connection_set_auth'

Configure conn for authentication mode method with user and pass as the user and password respectively.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`method` (GstRtsp.RTSPAuthMethod) –

authentication method

`user` (str) –

the user

`pass` (str) –

the password

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_connection_set_auth_param

    gst_rtsp_connection_set_auth_param (GstRTSPConnection * conn,
                                        const gchar * param,
                                        const gchar * value)

Setup conn with authentication directives. This is not necessary for methods GST_RTSP_AUTH_NONE and GST_RTSP_AUTH_BASIC. For GST_RTSP_AUTH_DIGEST, directives should be taken from the digest challenge in the WWW-Authenticate response header and can include realm, domain, nonce, opaque, stale, algorithm, qop as per RFC2617.

Parameters:

`conn` –

a GstRTSPConnection

`param` –

authentication directive

`value` –

value

#### GstRtsp.RTSPConnection.prototype.set_auth_param

    function GstRtsp.RTSPConnection.prototype.set_auth_param(param: String, value: String): {
        // javascript wrapper for 'gst_rtsp_connection_set_auth_param'
    }

Setup conn with authentication directives. This is not necessary for methods GstRtsp.RTSPAuthMethod.NONE and GstRtsp.RTSPAuthMethod.BASIC. For GstRtsp.RTSPAuthMethod.DIGEST, directives should be taken from the digest challenge in the WWW-Authenticate response header and can include realm, domain, nonce, opaque, stale, algorithm, qop as per RFC2617.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`param` (String) –

authentication directive

`value` (String) –

value

#### GstRtsp.RTSPConnection.set_auth_param

    def GstRtsp.RTSPConnection.set_auth_param (self, param, value):
        #python wrapper for 'gst_rtsp_connection_set_auth_param'

Setup conn with authentication directives. This is not necessary for methods GstRtsp.RTSPAuthMethod.NONE and GstRtsp.RTSPAuthMethod.BASIC. For GstRtsp.RTSPAuthMethod.DIGEST, directives should be taken from the digest challenge in the WWW-Authenticate response header and can include realm, domain, nonce, opaque, stale, algorithm, qop as per RFC2617.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`param` (str) –

authentication directive

`value` (str) –

value

#### gst_rtsp_connection_set_content_length_limit

    gst_rtsp_connection_set_content_length_limit (GstRTSPConnection * conn,
                                                  guint limit)

Configure conn to use the specified Content-Length limit. Both requests and responses are validated. If content-length is exceeded, ENOMEM error will be returned.

Parameters:

`conn` –

a GstRTSPConnection

`limit` –

Content-Length limit

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.set_content_length_limit

    function GstRtsp.RTSPConnection.prototype.set_content_length_limit(limit: Number): {
        // javascript wrapper for 'gst_rtsp_connection_set_content_length_limit'
    }

Configure conn to use the specified Content-Length limit. Both requests and responses are validated. If content-length is exceeded, ENOMEM error will be returned.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`limit` (Number) –

Content-Length limit

Since : 1.18

#### GstRtsp.RTSPConnection.set_content_length_limit

    def GstRtsp.RTSPConnection.set_content_length_limit (self, limit):
        #python wrapper for 'gst_rtsp_connection_set_content_length_limit'

Configure conn to use the specified Content-Length limit. Both requests and responses are validated. If content-length is exceeded, ENOMEM error will be returned.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`limit` (int) –

Content-Length limit

Since : 1.18

#### gst_rtsp_connection_set_http_mode

    gst_rtsp_connection_set_http_mode (GstRTSPConnection * conn,
                                       gboolean enable)

By setting the HTTP mode to TRUE the message parsing will support HTTP messages in addition to the RTSP messages. It will also disable the automatic handling of setting up an HTTP tunnel.

Parameters:

`conn` –

a GstRTSPConnection

`enable` –

TRUE to enable manual HTTP mode

#### GstRtsp.RTSPConnection.prototype.set_http_mode

    function GstRtsp.RTSPConnection.prototype.set_http_mode(enable: Number): {
        // javascript wrapper for 'gst_rtsp_connection_set_http_mode'
    }

By setting the HTTP mode to true the message parsing will support HTTP messages in addition to the RTSP messages. It will also disable the automatic handling of setting up an HTTP tunnel.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`enable` (Number) –

true to enable manual HTTP mode

#### GstRtsp.RTSPConnection.set_http_mode

    def GstRtsp.RTSPConnection.set_http_mode (self, enable):
        #python wrapper for 'gst_rtsp_connection_set_http_mode'

By setting the HTTP mode to True the message parsing will support HTTP messages in addition to the RTSP messages. It will also disable the automatic handling of setting up an HTTP tunnel.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`enable` (bool) –

True to enable manual HTTP mode

#### gst_rtsp_connection_set_ignore_x_server_reply

    gst_rtsp_connection_set_ignore_x_server_reply (GstRTSPConnection * conn,
                                                   gboolean ignore)

Set whether to ignore the x-server-ip-address header reply or not. If the header is ignored, the original address will be used instead.

Parameters:

`conn` –

a GstRTSPConnection

`ignore` –

TRUE to ignore the x-server-ip-address header reply or FALSE to comply with it (%FALSE is the default).

Since : 1.20

#### GstRtsp.RTSPConnection.prototype.set_ignore_x_server_reply

    function GstRtsp.RTSPConnection.prototype.set_ignore_x_server_reply(ignore: Number): {
        // javascript wrapper for 'gst_rtsp_connection_set_ignore_x_server_reply'
    }

Set whether to ignore the x-server-ip-address header reply or not. If the header is ignored, the original address will be used instead.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`ignore` (Number) –

true to ignore the x-server-ip-address header reply or false to comply with it (%FALSE is the default).

Since : 1.20

#### GstRtsp.RTSPConnection.set_ignore_x_server_reply

    def GstRtsp.RTSPConnection.set_ignore_x_server_reply (self, ignore):
        #python wrapper for 'gst_rtsp_connection_set_ignore_x_server_reply'

Set whether to ignore the x-server-ip-address header reply or not. If the header is ignored, the original address will be used instead.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`ignore` (bool) –

True to ignore the x-server-ip-address header reply or False to comply with it (%FALSE is the default).

Since : 1.20

#### gst_rtsp_connection_set_ip

    gst_rtsp_connection_set_ip (GstRTSPConnection * conn,
                                const gchar * ip)

Set the IP address of the server.

Parameters:

`conn` –

a GstRTSPConnection

`ip` –

an ip address

#### GstRtsp.RTSPConnection.prototype.set_ip

    function GstRtsp.RTSPConnection.prototype.set_ip(ip: String): {
        // javascript wrapper for 'gst_rtsp_connection_set_ip'
    }

Set the IP address of the server.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`ip` (String) –

an ip address

#### GstRtsp.RTSPConnection.set_ip

    def GstRtsp.RTSPConnection.set_ip (self, ip):
        #python wrapper for 'gst_rtsp_connection_set_ip'

Set the IP address of the server.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`ip` (str) –

an ip address

#### gst_rtsp_connection_set_proxy

    GstRTSPResult
    gst_rtsp_connection_set_proxy (GstRTSPConnection * conn,
                                   const gchar * host,
                                   guint port)

Set the proxy host and port.

Parameters:

`conn` –

a GstRTSPConnection

`host` –

the proxy host

`port` –

the proxy port

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPConnection.prototype.set_proxy

    function GstRtsp.RTSPConnection.prototype.set_proxy(host: String, port: Number): {
        // javascript wrapper for 'gst_rtsp_connection_set_proxy'
    }

Set the proxy host and port.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`host` (String) –

the proxy host

`port` (Number) –

the proxy port

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPConnection.set_proxy

    def GstRtsp.RTSPConnection.set_proxy (self, host, port):
        #python wrapper for 'gst_rtsp_connection_set_proxy'

Set the proxy host and port.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`host` (str) –

the proxy host

`port` (int) –

the proxy port

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_connection_set_qos_dscp

    GstRTSPResult
    gst_rtsp_connection_set_qos_dscp (GstRTSPConnection * conn,
                                      guint qos_dscp)

Configure conn to use the specified DSCP value.

Parameters:

`conn` –

a GstRTSPConnection

`qos_dscp` –

DSCP value

Returns –

GST_RTSP_OK on success.

#### GstRtsp.RTSPConnection.prototype.set_qos_dscp

    function GstRtsp.RTSPConnection.prototype.set_qos_dscp(qos_dscp: Number): {
        // javascript wrapper for 'gst_rtsp_connection_set_qos_dscp'
    }

Configure conn to use the specified DSCP value.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`qos_dscp` (Number) –

DSCP value

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

#### GstRtsp.RTSPConnection.set_qos_dscp

    def GstRtsp.RTSPConnection.set_qos_dscp (self, qos_dscp):
        #python wrapper for 'gst_rtsp_connection_set_qos_dscp'

Configure conn to use the specified DSCP value.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`qos_dscp` (int) –

DSCP value

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

#### gst_rtsp_connection_set_remember_session_id

    gst_rtsp_connection_set_remember_session_id (GstRTSPConnection * conn,
                                                 gboolean remember)

Sets if the GstRTSPConnection should remember the session id from the last response received and force it onto any further requests.

The default value is TRUE

Parameters:

`conn` –

a GstRTSPConnection

`remember` –

TRUE if the connection should remember the session id

#### GstRtsp.RTSPConnection.prototype.set_remember_session_id

    function GstRtsp.RTSPConnection.prototype.set_remember_session_id(remember: Number): {
        // javascript wrapper for 'gst_rtsp_connection_set_remember_session_id'
    }

Sets if the GstRtsp.RTSPConnection should remember the session id from the last response received and force it onto any further requests.

The default value is true

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`remember` (Number) –

true if the connection should remember the session id

#### GstRtsp.RTSPConnection.set_remember_session_id

    def GstRtsp.RTSPConnection.set_remember_session_id (self, remember):
        #python wrapper for 'gst_rtsp_connection_set_remember_session_id'

Sets if the GstRtsp.RTSPConnection should remember the session id from the last response received and force it onto any further requests.

The default value is True

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`remember` (bool) –

True if the connection should remember the session id

#### gst_rtsp_connection_set_tls_database

    gst_rtsp_connection_set_tls_database (GstRTSPConnection * conn,
                                          GTlsDatabase * database)

Sets the anchor certificate authorities database. This certificate database will be used to verify the server's certificate in case it can't be verified with the default certificate database first.

Parameters:

`conn` –

a GstRTSPConnection

`database` ( [nullable]) –

a GTlsDatabase

Since : 1.4

#### GstRtsp.RTSPConnection.prototype.set_tls_database

    function GstRtsp.RTSPConnection.prototype.set_tls_database(database: Gio.TlsDatabase): {
        // javascript wrapper for 'gst_rtsp_connection_set_tls_database'
    }

Sets the anchor certificate authorities database. This certificate database will be used to verify the server's certificate in case it can't be verified with the default certificate database first.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`database` (Gio.TlsDatabase) –

a Gio.TlsDatabase

Since : 1.4

#### GstRtsp.RTSPConnection.set_tls_database

    def GstRtsp.RTSPConnection.set_tls_database (self, database):
        #python wrapper for 'gst_rtsp_connection_set_tls_database'

Sets the anchor certificate authorities database. This certificate database will be used to verify the server's certificate in case it can't be verified with the default certificate database first.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`database` (Gio.TlsDatabase) –

a Gio.TlsDatabase

Since : 1.4

#### gst_rtsp_connection_set_tls_interaction

    gst_rtsp_connection_set_tls_interaction (GstRTSPConnection * conn,
                                             GTlsInteraction * interaction)

Sets a GTlsInteraction object to be used when the connection or certificate database need to interact with the user. This will be used to prompt the user for passwords where necessary.

Parameters:

`conn` –

a GstRTSPConnection

`interaction` ( [nullable]) –

a GTlsInteraction

Since : 1.6

#### GstRtsp.RTSPConnection.prototype.set_tls_interaction

    function GstRtsp.RTSPConnection.prototype.set_tls_interaction(interaction: Gio.TlsInteraction): {
        // javascript wrapper for 'gst_rtsp_connection_set_tls_interaction'
    }

Sets a Gio.TlsInteraction object to be used when the connection or certificate database need to interact with the user. This will be used to prompt the user for passwords where necessary.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`interaction` (Gio.TlsInteraction) –

a Gio.TlsInteraction

Since : 1.6

#### GstRtsp.RTSPConnection.set_tls_interaction

    def GstRtsp.RTSPConnection.set_tls_interaction (self, interaction):
        #python wrapper for 'gst_rtsp_connection_set_tls_interaction'

Sets a Gio.TlsInteraction object to be used when the connection or certificate database need to interact with the user. This will be used to prompt the user for passwords where necessary.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`interaction` (Gio.TlsInteraction) –

a Gio.TlsInteraction

Since : 1.6

#### gst_rtsp_connection_set_tls_validation_flags

    gboolean
    gst_rtsp_connection_set_tls_validation_flags (GstRTSPConnection * conn,
                                                  GTlsCertificateFlags flags)

Sets the TLS validation flags to be used to verify the peer certificate when a TLS connection is established.

GLib guarantees that if certificate verification fails, at least one error will be set, but it does not guarantee that all possible errors will be set. Accordingly, you may not safely decide to ignore any particular type of error.

For example, it would be incorrect to mask G_TLS_CERTIFICATE_EXPIRED if you want to allow expired certificates, because this could potentially be the only error flag set even if other problems exist with the certificate.

Parameters:

`conn` –

a GstRTSPConnection

`flags` –

the validation flags.

Returns –

TRUE if the validation flags are set correctly, or FALSE if conn is NULL or is not a TLS connection.

Since : 1.2.1

#### GstRtsp.RTSPConnection.prototype.set_tls_validation_flags

    function GstRtsp.RTSPConnection.prototype.set_tls_validation_flags(flags: Gio.TlsCertificateFlags): {
        // javascript wrapper for 'gst_rtsp_connection_set_tls_validation_flags'
    }

Sets the TLS validation flags to be used to verify the peer certificate when a TLS connection is established.

GLib guarantees that if certificate verification fails, at least one error will be set, but it does not guarantee that all possible errors will be set. Accordingly, you may not safely decide to ignore any particular type of error.

For example, it would be incorrect to mask Gio.TlsCertificateFlags.EXPIRED if you want to allow expired certificates, because this could potentially be the only error flag set even if other problems exist with the certificate.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`flags` (Gio.TlsCertificateFlags) –

the validation flags.

Returns (Number) –

TRUE if the validation flags are set correctly, or FALSE if conn is NULL or is not a TLS connection.

Since : 1.2.1

#### GstRtsp.RTSPConnection.set_tls_validation_flags

    def GstRtsp.RTSPConnection.set_tls_validation_flags (self, flags):
        #python wrapper for 'gst_rtsp_connection_set_tls_validation_flags'

Sets the TLS validation flags to be used to verify the peer certificate when a TLS connection is established.

GLib guarantees that if certificate verification fails, at least one error will be set, but it does not guarantee that all possible errors will be set. Accordingly, you may not safely decide to ignore any particular type of error.

For example, it would be incorrect to mask Gio.TlsCertificateFlags.EXPIRED if you want to allow expired certificates, because this could potentially be the only error flag set even if other problems exist with the certificate.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`flags` (Gio.TlsCertificateFlags) –

the validation flags.

Returns (bool) –

TRUE if the validation flags are set correctly, or FALSE if conn is NULL or is not a TLS connection.

Since : 1.2.1

#### gst_rtsp_connection_set_tunneled

    gst_rtsp_connection_set_tunneled (GstRTSPConnection * conn,
                                      gboolean tunneled)

Set the HTTP tunneling state of the connection. This must be configured before the conn is connected.

Parameters:

`conn` –

a GstRTSPConnection

`tunneled` –

the new state

#### GstRtsp.RTSPConnection.prototype.set_tunneled

    function GstRtsp.RTSPConnection.prototype.set_tunneled(tunneled: Number): {
        // javascript wrapper for 'gst_rtsp_connection_set_tunneled'
    }

Set the HTTP tunneling state of the connection. This must be configured before the conn is connected.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`tunneled` (Number) –

the new state

#### GstRtsp.RTSPConnection.set_tunneled

    def GstRtsp.RTSPConnection.set_tunneled (self, tunneled):
        #python wrapper for 'gst_rtsp_connection_set_tunneled'

Set the HTTP tunneling state of the connection. This must be configured before the conn is connected.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`tunneled` (bool) –

the new state

#### gst_rtsp_connection_write

    GstRTSPResult
    gst_rtsp_connection_write (GstRTSPConnection * conn,
                               const guint8 * data,
                               guint size,
                               GTimeVal * timeout)

Attempt to write size bytes of data to the connected conn, blocking up to the specified timeout. timeout can be NULL, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`data` ( [array length=size]) –

the data to write

`size` –

the size of data

`timeout` –

a timeout value or NULL

Returns –

GST_RTSP_OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.prototype.write

    function GstRtsp.RTSPConnection.prototype.write(data: [ Number ], size: Number, timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_connection_write'
    }

Attempt to write size bytes of data to the connected conn, blocking up to the specified timeout. timeout can be null, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ Number ]) –

the data to write

`size` (Number) –

the size of data

`timeout` (GLib.TimeVal) –

a timeout value or null

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### GstRtsp.RTSPConnection.write

    def GstRtsp.RTSPConnection.write (self, data, size, timeout):
        #python wrapper for 'gst_rtsp_connection_write'

Attempt to write size bytes of data to the connected conn, blocking up to the specified timeout. timeout can be None, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ int ]) –

the data to write

`size` (int) –

the size of data

`timeout` (GLib.TimeVal) –

a timeout value or None

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

deprecated : 1.18

#### gst_rtsp_connection_write_usec

    GstRTSPResult
    gst_rtsp_connection_write_usec (GstRTSPConnection * conn,
                                    const guint8 * data,
                                    guint size,
                                    gint64 timeout)

Attempt to write size bytes of data to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with gst_rtsp_connection_flush.

Parameters:

`conn` –

a GstRTSPConnection

`data` ( [array length=size]) –

the data to write

`size` –

the size of data

`timeout` –

a timeout value or 0

Returns –

GST_RTSP_OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.prototype.write_usec

    function GstRtsp.RTSPConnection.prototype.write_usec(data: [ Number ], size: Number, timeout: Number): {
        // javascript wrapper for 'gst_rtsp_connection_write_usec'
    }

Attempt to write size bytes of data to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.prototype.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ Number ]) –

the data to write

`size` (Number) –

the size of data

`timeout` (Number) –

a timeout value or 0

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

#### GstRtsp.RTSPConnection.write_usec

    def GstRtsp.RTSPConnection.write_usec (self, data, size, timeout):
        #python wrapper for 'gst_rtsp_connection_write_usec'

Attempt to write size bytes of data to the connected conn, blocking up to the specified timeout. timeout can be 0, in which case this function might block forever.

This function can be cancelled with GstRtsp.RTSPConnection.flush.

Parameters:

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

`data` ([ int ]) –

the data to write

`size` (int) –

the size of data

`timeout` (int) –

a timeout value or 0

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK on success.

Since : 1.18

### Functions

#### gst_rtsp_connection_accept

    GstRTSPResult
    gst_rtsp_connection_accept (GSocket * socket,
                                GstRTSPConnection ** conn,
                                GCancellable * cancellable)

Accept a new connection on socket and create a new GstRTSPConnection for handling communication on new socket.

Parameters:

`socket` –

a socket

`conn` ( [out][transfer: full][nullable]) –

storage for a GstRTSPConnection

`cancellable` –

a GCancellable to cancel the operation

Returns –

GST_RTSP_OK when conn contains a valid connection.

#### GstRtsp.prototype.rtsp_connection_accept

    function GstRtsp.prototype.rtsp_connection_accept(socket: Gio.Socket, cancellable: Gio.Cancellable): {
        // javascript wrapper for 'gst_rtsp_connection_accept'
    }

Accept a new connection on socket and create a new GstRtsp.RTSPConnection for handling communication on new socket.

Parameters:

`socket` (Gio.Socket) –

a socket

`cancellable` (Gio.Cancellable) –

a Gio.Cancellable to cancel the operation

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

`conn` (GstRtsp.RTSPConnection ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

#### GstRtsp.rtsp_connection_accept

    def GstRtsp.rtsp_connection_accept (socket, cancellable):
        #python wrapper for 'gst_rtsp_connection_accept'

Accept a new connection on socket and create a new GstRtsp.RTSPConnection for handling communication on new socket.

Parameters:

`socket` (Gio.Socket) –

a socket

`cancellable` (Gio.Cancellable) –

a Gio.Cancellable to cancel the operation

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

`conn` (GstRtsp.RTSPConnection ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

#### gst_rtsp_connection_create

    GstRTSPResult
    gst_rtsp_connection_create (const GstRTSPUrl * url,
                                GstRTSPConnection ** conn)

Create a newly allocated GstRTSPConnection from url and store it in conn. The connection will not yet attempt to connect to url, use gst_rtsp_connection_connect.

A copy of url will be made.

Parameters:

`url` –

a GstRTSPUrl

`conn` ( [out][transfer: full]) –

storage for a GstRTSPConnection

Returns –

GST_RTSP_OK when conn contains a valid connection.

#### GstRtsp.prototype.rtsp_connection_create

    function GstRtsp.prototype.rtsp_connection_create(url: GstRtsp.RTSPUrl): {
        // javascript wrapper for 'gst_rtsp_connection_create'
    }

Create a newly allocated GstRtsp.RTSPConnection from url and store it in conn. The connection will not yet attempt to connect to url, use GstRtsp.RTSPConnection.prototype.connect.

A copy of url will be made.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

`conn` (GstRtsp.RTSPConnection ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

#### GstRtsp.rtsp_connection_create

    def GstRtsp.rtsp_connection_create (url):
        #python wrapper for 'gst_rtsp_connection_create'

Create a newly allocated GstRtsp.RTSPConnection from url and store it in conn. The connection will not yet attempt to connect to url, use GstRtsp.RTSPConnection.connect.

A copy of url will be made.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

`conn` (GstRtsp.RTSPConnection ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

#### gst_rtsp_connection_create_from_socket

    GstRTSPResult
    gst_rtsp_connection_create_from_socket (GSocket * socket,
                                            const gchar * ip,
                                            guint16 port,
                                            const gchar * initial_buffer,
                                            GstRTSPConnection ** conn)

Create a new GstRTSPConnection for handling communication on the existing socket socket. The initial_buffer contains zero terminated data already read from socket which should be used before starting to read new data.

Parameters:

`socket` –

a GSocket

`ip` –

the IP address of the other end

`port` –

the port used by the other end

`initial_buffer` –

data already read from fd

`conn` ( [out][transfer: full][nullable]) –

storage for a GstRTSPConnection

Returns –

GST_RTSP_OK when conn contains a valid connection.

#### GstRtsp.prototype.rtsp_connection_create_from_socket

    function GstRtsp.prototype.rtsp_connection_create_from_socket(socket: Gio.Socket, ip: String, port: Number, initial_buffer: String): {
        // javascript wrapper for 'gst_rtsp_connection_create_from_socket'
    }

Create a new GstRtsp.RTSPConnection for handling communication on the existing socket socket. The initial_buffer contains zero terminated data already read from socket which should be used before starting to read new data.

Parameters:

`socket` (Gio.Socket) –

a Gio.Socket

`ip` (String) –

the IP address of the other end

`port` (Number) –

the port used by the other end

`initial_buffer` (String) –

data already read from fd

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

`conn` (GstRtsp.RTSPConnection ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

#### GstRtsp.rtsp_connection_create_from_socket

    def GstRtsp.rtsp_connection_create_from_socket (socket, ip, port, initial_buffer):
        #python wrapper for 'gst_rtsp_connection_create_from_socket'

Create a new GstRtsp.RTSPConnection for handling communication on the existing socket socket. The initial_buffer contains zero terminated data already read from socket which should be used before starting to read new data.

Parameters:

`socket` (Gio.Socket) –

a Gio.Socket

`ip` (str) –

the IP address of the other end

`port` (int) –

the port used by the other end

`initial_buffer` (str) –

data already read from fd

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

`conn` (GstRtsp.RTSPConnection ) –

GstRtsp.RTSPResult.OK when conn contains a valid connection.

## GstRTSPWatch

Opaque RTSP watch object that can be used for asynchronous RTSP operations.

## GstRtsp.RTSPWatch

Opaque RTSP watch object that can be used for asynchronous RTSP operations.

## GstRtsp.RTSPWatch

Opaque RTSP watch object that can be used for asynchronous RTSP operations.

### Methods

#### gst_rtsp_watch_attach

    guint
    gst_rtsp_watch_attach (GstRTSPWatch * watch,
                           GMainContext * context)

Adds a GstRTSPWatch to a context so that it will be executed within that context.

Parameters:

`watch` –

a GstRTSPWatch

`context` ( [nullable]) –

a GMainContext (if NULL, the default context will be used)

Returns –

the ID (greater than 0) for the watch within the GMainContext.

#### GstRtsp.RTSPWatch.prototype.attach

    function GstRtsp.RTSPWatch.prototype.attach(context: GMainContext (not introspectable)): {
        // javascript wrapper for 'gst_rtsp_watch_attach'
    }

Adds a GstRtsp.RTSPWatch to a context so that it will be executed within that context.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`context` (GMainContext (not introspectable)) –

a GMainContext (if NULL, the default context will be used)

Returns (Number) –

the ID (greater than 0) for the watch within the GMainContext.

#### GstRtsp.RTSPWatch.attach

    def GstRtsp.RTSPWatch.attach (self, context):
        #python wrapper for 'gst_rtsp_watch_attach'

Adds a GstRtsp.RTSPWatch to a context so that it will be executed within that context.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`context` (GMainContext (not introspectable)) –

a GMainContext (if NULL, the default context will be used)

Returns (int) –

the ID (greater than 0) for the watch within the GMainContext.

#### gst_rtsp_watch_get_send_backlog

    gst_rtsp_watch_get_send_backlog (GstRTSPWatch * watch,
                                     gsize * bytes,
                                     guint * messages)

Get the maximum amount of bytes and messages that will be queued in watch. See gst_rtsp_watch_set_send_backlog.

Parameters:

`watch` –

a GstRTSPWatch

`bytes` ( [out][allow-none]) –

maximum bytes

`messages` ( [out][allow-none]) –

maximum messages

Since : 1.2

#### GstRtsp.RTSPWatch.prototype.get_send_backlog

    function GstRtsp.RTSPWatch.prototype.get_send_backlog(): {
        // javascript wrapper for 'gst_rtsp_watch_get_send_backlog'
    }

Get the maximum amount of bytes and messages that will be queued in watch. See GstRtsp.RTSPWatch.prototype.set_send_backlog.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

Since : 1.2

#### GstRtsp.RTSPWatch.get_send_backlog

    def GstRtsp.RTSPWatch.get_send_backlog (self):
        #python wrapper for 'gst_rtsp_watch_get_send_backlog'

Get the maximum amount of bytes and messages that will be queued in watch. See GstRtsp.RTSPWatch.set_send_backlog.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

Since : 1.2

#### gst_rtsp_watch_reset

    gst_rtsp_watch_reset (GstRTSPWatch * watch)

Reset watch, this is usually called after gst_rtsp_connection_do_tunnel when the file descriptors of the connection might have changed.

Parameters:

`watch` –

a GstRTSPWatch

#### GstRtsp.RTSPWatch.prototype.reset

    function GstRtsp.RTSPWatch.prototype.reset(): {
        // javascript wrapper for 'gst_rtsp_watch_reset'
    }

Reset watch, this is usually called after GstRtsp.RTSPConnection.prototype.do_tunnel when the file descriptors of the connection might have changed.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

#### GstRtsp.RTSPWatch.reset

    def GstRtsp.RTSPWatch.reset (self):
        #python wrapper for 'gst_rtsp_watch_reset'

Reset watch, this is usually called after GstRtsp.RTSPConnection.do_tunnel when the file descriptors of the connection might have changed.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

#### gst_rtsp_watch_send_message

    GstRTSPResult
    gst_rtsp_watch_send_message (GstRTSPWatch * watch,
                                 GstRTSPMessage * message,
                                 guint * id)

Send a message using the connection of the watch. If it cannot be sent immediately, it will be queued for transmission in watch. The contents of message will then be serialized and transmitted when the connection of the watch becomes writable. In case the message is queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback.

Parameters:

`watch` –

a GstRTSPWatch

`message` –

a GstRTSPMessage

`id` ( [out][optional]) –

location for a message ID or NULL

Returns –

GST_RTSP_OK on success.

#### GstRtsp.RTSPWatch.prototype.send_message

    function GstRtsp.RTSPWatch.prototype.send_message(message: GstRtsp.RTSPMessage): {
        // javascript wrapper for 'gst_rtsp_watch_send_message'
    }

Send a message using the connection of the watch. If it cannot be sent immediately, it will be queued for transmission in watch. The contents of message will then be serialized and transmitted when the connection of the watch becomes writable. In case the message is queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`message` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`id` (Number ) –

GstRtsp.RTSPResult.OK on success.

#### GstRtsp.RTSPWatch.send_message

    def GstRtsp.RTSPWatch.send_message (self, message):
        #python wrapper for 'gst_rtsp_watch_send_message'

Send a message using the connection of the watch. If it cannot be sent immediately, it will be queued for transmission in watch. The contents of message will then be serialized and transmitted when the connection of the watch becomes writable. In case the message is queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`message` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`id` (int ) –

GstRtsp.RTSPResult.OK on success.

#### gst_rtsp_watch_send_messages

    GstRTSPResult
    gst_rtsp_watch_send_messages (GstRTSPWatch * watch,
                                  GstRTSPMessage * messages,
                                  guint n_messages,
                                  guint * id)

Sends messages using the connection of the watch. If they cannot be sent immediately, they will be queued for transmission in watch. The contents of messages will then be serialized and transmitted when the connection of the watch becomes writable. In case the messages are queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback once the last message is sent. The callback will only be called once for the last message.

Parameters:

`watch` –

a GstRTSPWatch

`messages` ( [array length=n_messages]) –

the messages to send

`n_messages` –

the number of messages to send

`id` ( [out][optional]) –

location for a message ID or NULL

Returns –

GST_RTSP_OK on success.

Since : 1.16

#### GstRtsp.RTSPWatch.prototype.send_messages

    function GstRtsp.RTSPWatch.prototype.send_messages(messages: [ GstRtsp.RTSPMessage ], n_messages: Number): {
        // javascript wrapper for 'gst_rtsp_watch_send_messages'
    }

Sends messages using the connection of the watch. If they cannot be sent immediately, they will be queued for transmission in watch. The contents of messages will then be serialized and transmitted when the connection of the watch becomes writable. In case the messages are queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback once the last message is sent. The callback will only be called once for the last message.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`messages` ([ GstRtsp.RTSPMessage ]) –

the messages to send

`n_messages` (Number) –

the number of messages to send

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`id` (Number ) –

GstRtsp.RTSPResult.OK on success.

Since : 1.16

#### GstRtsp.RTSPWatch.send_messages

    def GstRtsp.RTSPWatch.send_messages (self, messages, n_messages):
        #python wrapper for 'gst_rtsp_watch_send_messages'

Sends messages using the connection of the watch. If they cannot be sent immediately, they will be queued for transmission in watch. The contents of messages will then be serialized and transmitted when the connection of the watch becomes writable. In case the messages are queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback once the last message is sent. The callback will only be called once for the last message.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`messages` ([ GstRtsp.RTSPMessage ]) –

the messages to send

`n_messages` (int) –

the number of messages to send

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success.

`id` (int ) –

GstRtsp.RTSPResult.OK on success.

Since : 1.16

#### gst_rtsp_watch_set_flushing

    gst_rtsp_watch_set_flushing (GstRTSPWatch * watch,
                                 gboolean flushing)

When flushing is TRUE, abort a call to gst_rtsp_watch_wait_backlog and make sure gst_rtsp_watch_write_data returns immediately with GST_RTSP_EINTR. And empty the queue.

Parameters:

`watch` –

a GstRTSPWatch

`flushing` –

new flushing state

Since : 1.4

#### GstRtsp.RTSPWatch.prototype.set_flushing

    function GstRtsp.RTSPWatch.prototype.set_flushing(flushing: Number): {
        // javascript wrapper for 'gst_rtsp_watch_set_flushing'
    }

When flushing is true, abort a call to GstRtsp.RTSPWatch.prototype.wait_backlog and make sure GstRtsp.RTSPWatch.prototype.write_data returns immediately with GstRtsp.RTSPResult.EINTR. And empty the queue.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`flushing` (Number) –

new flushing state

Since : 1.4

#### GstRtsp.RTSPWatch.set_flushing

    def GstRtsp.RTSPWatch.set_flushing (self, flushing):
        #python wrapper for 'gst_rtsp_watch_set_flushing'

When flushing is True, abort a call to GstRtsp.RTSPWatch.wait_backlog and make sure GstRtsp.RTSPWatch.write_data returns immediately with GstRtsp.RTSPResult.EINTR. And empty the queue.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`flushing` (bool) –

new flushing state

Since : 1.4

#### gst_rtsp_watch_set_send_backlog

    gst_rtsp_watch_set_send_backlog (GstRTSPWatch * watch,
                                     gsize bytes,
                                     guint messages)

Set the maximum amount of bytes and messages that will be queued in watch. When the maximum amounts are exceeded, gst_rtsp_watch_write_data and gst_rtsp_watch_send_message will return GST_RTSP_ENOMEM.

A value of 0 for bytes or messages means no limits.

Parameters:

`watch` –

a GstRTSPWatch

`bytes` –

maximum bytes

`messages` –

maximum messages

Since : 1.2

#### GstRtsp.RTSPWatch.prototype.set_send_backlog

    function GstRtsp.RTSPWatch.prototype.set_send_backlog(bytes: Number, messages: Number): {
        // javascript wrapper for 'gst_rtsp_watch_set_send_backlog'
    }

Set the maximum amount of bytes and messages that will be queued in watch. When the maximum amounts are exceeded, GstRtsp.RTSPWatch.prototype.write_data and GstRtsp.RTSPWatch.prototype.send_message will return GstRtsp.RTSPResult.ENOMEM.

A value of 0 for bytes or messages means no limits.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`bytes` (Number) –

maximum bytes

`messages` (Number) –

maximum messages

Since : 1.2

#### GstRtsp.RTSPWatch.set_send_backlog

    def GstRtsp.RTSPWatch.set_send_backlog (self, bytes, messages):
        #python wrapper for 'gst_rtsp_watch_set_send_backlog'

Set the maximum amount of bytes and messages that will be queued in watch. When the maximum amounts are exceeded, GstRtsp.RTSPWatch.write_data and GstRtsp.RTSPWatch.send_message will return GstRtsp.RTSPResult.ENOMEM.

A value of 0 for bytes or messages means no limits.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`bytes` (int) –

maximum bytes

`messages` (int) –

maximum messages

Since : 1.2

#### gst_rtsp_watch_unref

    gst_rtsp_watch_unref (GstRTSPWatch * watch)

Decreases the reference count of watch by one. If the resulting reference count is zero the watch and associated memory will be destroyed.

Parameters:

`watch` –

a GstRTSPWatch

#### GstRtsp.RTSPWatch.prototype.unref

    function GstRtsp.RTSPWatch.prototype.unref(): {
        // javascript wrapper for 'gst_rtsp_watch_unref'
    }

Decreases the reference count of watch by one. If the resulting reference count is zero the watch and associated memory will be destroyed.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

#### GstRtsp.RTSPWatch.unref

    def GstRtsp.RTSPWatch.unref (self):
        #python wrapper for 'gst_rtsp_watch_unref'

Decreases the reference count of watch by one. If the resulting reference count is zero the watch and associated memory will be destroyed.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

#### gst_rtsp_watch_wait_backlog

    GstRTSPResult
    gst_rtsp_watch_wait_backlog (GstRTSPWatch * watch,
                                 GTimeVal * timeout)

Wait until there is place in the backlog queue, timeout is reached or watch is set to flushing.

If timeout is NULL this function can block forever. If timeout contains a valid timeout, this function will return GST_RTSP_ETIMEOUT after the timeout expired.

The typically use of this function is when gst_rtsp_watch_write_data returns GST_RTSP_ENOMEM. The caller then calls this function to wait for free space in the backlog queue and try again.

Parameters:

`watch` –

a GstRTSPWatch

`timeout` –

a GTimeVal timeout

Returns –

GST_RTSP_OK when if there is room in queue. GST_RTSP_ETIMEOUT when timeout was reached. GST_RTSP_EINTR when watch is flushing GST_RTSP_EINVAL when called with invalid parameters.

Since : 1.4

deprecated : 1.18

#### GstRtsp.RTSPWatch.prototype.wait_backlog

    function GstRtsp.RTSPWatch.prototype.wait_backlog(timeout: GLib.TimeVal): {
        // javascript wrapper for 'gst_rtsp_watch_wait_backlog'
    }

Wait until there is place in the backlog queue, timeout is reached or watch is set to flushing.

If timeout is null this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

The typically use of this function is when gst_rtsp_watch_write_data returns GstRtsp.RTSPResult.ENOMEM. The caller then calls this function to wait for free space in the backlog queue and try again.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`timeout` (GLib.TimeVal) –

a GTimeVal timeout

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when if there is room in queue. GstRtsp.RTSPResult.ETIMEOUT when timeout was reached. GstRtsp.RTSPResult.EINTR when watch is flushing GstRtsp.RTSPResult.EINVAL when called with invalid parameters.

Since : 1.4

deprecated : 1.18

#### GstRtsp.RTSPWatch.wait_backlog

    def GstRtsp.RTSPWatch.wait_backlog (self, timeout):
        #python wrapper for 'gst_rtsp_watch_wait_backlog'

Wait until there is place in the backlog queue, timeout is reached or watch is set to flushing.

If timeout is None this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

The typically use of this function is when gst_rtsp_watch_write_data returns GstRtsp.RTSPResult.ENOMEM. The caller then calls this function to wait for free space in the backlog queue and try again.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`timeout` (GLib.TimeVal) –

a GTimeVal timeout

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when if there is room in queue. GstRtsp.RTSPResult.ETIMEOUT when timeout was reached. GstRtsp.RTSPResult.EINTR when watch is flushing GstRtsp.RTSPResult.EINVAL when called with invalid parameters.

Since : 1.4

deprecated : 1.18

#### gst_rtsp_watch_wait_backlog_usec

    GstRTSPResult
    gst_rtsp_watch_wait_backlog_usec (GstRTSPWatch * watch,
                                      gint64 timeout)

Wait until there is place in the backlog queue, timeout is reached or watch is set to flushing.

If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GST_RTSP_ETIMEOUT after the timeout expired.

The typically use of this function is when gst_rtsp_watch_write_data returns GST_RTSP_ENOMEM. The caller then calls this function to wait for free space in the backlog queue and try again.

Parameters:

`watch` –

a GstRTSPWatch

`timeout` –

a timeout in microseconds

Returns –

GST_RTSP_OK when if there is room in queue. GST_RTSP_ETIMEOUT when timeout was reached. GST_RTSP_EINTR when watch is flushing GST_RTSP_EINVAL when called with invalid parameters.

Since : 1.18

#### GstRtsp.RTSPWatch.prototype.wait_backlog_usec

    function GstRtsp.RTSPWatch.prototype.wait_backlog_usec(timeout: Number): {
        // javascript wrapper for 'gst_rtsp_watch_wait_backlog_usec'
    }

Wait until there is place in the backlog queue, timeout is reached or watch is set to flushing.

If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

The typically use of this function is when gst_rtsp_watch_write_data returns GstRtsp.RTSPResult.ENOMEM. The caller then calls this function to wait for free space in the backlog queue and try again.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`timeout` (Number) –

a timeout in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when if there is room in queue. GstRtsp.RTSPResult.ETIMEOUT when timeout was reached. GstRtsp.RTSPResult.EINTR when watch is flushing GstRtsp.RTSPResult.EINVAL when called with invalid parameters.

Since : 1.18

#### GstRtsp.RTSPWatch.wait_backlog_usec

    def GstRtsp.RTSPWatch.wait_backlog_usec (self, timeout):
        #python wrapper for 'gst_rtsp_watch_wait_backlog_usec'

Wait until there is place in the backlog queue, timeout is reached or watch is set to flushing.

If timeout is 0 this function can block forever. If timeout contains a valid timeout, this function will return GstRtsp.RTSPResult.ETIMEOUT after the timeout expired.

The typically use of this function is when gst_rtsp_watch_write_data returns GstRtsp.RTSPResult.ENOMEM. The caller then calls this function to wait for free space in the backlog queue and try again.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`timeout` (int) –

a timeout in microseconds

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK when if there is room in queue. GstRtsp.RTSPResult.ETIMEOUT when timeout was reached. GstRtsp.RTSPResult.EINTR when watch is flushing GstRtsp.RTSPResult.EINVAL when called with invalid parameters.

Since : 1.18

#### gst_rtsp_watch_write_data

    GstRTSPResult
    gst_rtsp_watch_write_data (GstRTSPWatch * watch,
                               const guint8 * data,
                               guint size,
                               guint * id)

Write data using the connection of the watch. If it cannot be sent immediately, it will be queued for transmission in watch. The contents of message will then be serialized and transmitted when the connection of the watch becomes writable. In case the message is queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback.

This function will take ownership of data and g_free it after use.

If the amount of queued data exceeds the limits set with gst_rtsp_watch_set_send_backlog, this function will return GST_RTSP_ENOMEM.

Parameters:

`watch` –

a GstRTSPWatch

`data` ( [array length=size][transfer: full]) –

the data to queue

`size` –

the size of data

`id` ( [out][optional]) –

location for a message ID or NULL

Returns –

GST_RTSP_OK on success. GST_RTSP_ENOMEM when the backlog limits are reached. GST_RTSP_EINTR when watch was flushing.

#### GstRtsp.RTSPWatch.prototype.write_data

    function GstRtsp.RTSPWatch.prototype.write_data(data: [ Number ], size: Number): {
        // javascript wrapper for 'gst_rtsp_watch_write_data'
    }

Write data using the connection of the watch. If it cannot be sent immediately, it will be queued for transmission in watch. The contents of message will then be serialized and transmitted when the connection of the watch becomes writable. In case the message is queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback.

This function will take ownership of data and GLib.prototype.free it after use.

If the amount of queued data exceeds the limits set with GstRtsp.RTSPWatch.prototype.set_send_backlog, this function will return GstRtsp.RTSPResult.ENOMEM.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`data` ([ Number ]) –

the data to queue

`size` (Number) –

the size of data

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success. GstRtsp.RTSPResult.ENOMEM when the backlog limits are reached. GstRtsp.RTSPResult.EINTR when watch was flushing.

`id` (Number ) –

GstRtsp.RTSPResult.OK on success. GstRtsp.RTSPResult.ENOMEM when the backlog limits are reached. GstRtsp.RTSPResult.EINTR when watch was flushing.

#### GstRtsp.RTSPWatch.write_data

    def GstRtsp.RTSPWatch.write_data (self, data, size):
        #python wrapper for 'gst_rtsp_watch_write_data'

Write data using the connection of the watch. If it cannot be sent immediately, it will be queued for transmission in watch. The contents of message will then be serialized and transmitted when the connection of the watch becomes writable. In case the message is queued, the ID returned in id will be non-zero and used as the ID argument in the message_sent callback.

This function will take ownership of data and GLib.free it after use.

If the amount of queued data exceeds the limits set with GstRtsp.RTSPWatch.set_send_backlog, this function will return GstRtsp.RTSPResult.ENOMEM.

Parameters:

`watch` (GstRtsp.RTSPWatch) –

a GstRtsp.RTSPWatch

`data` ([ int ]) –

the data to queue

`size` (int) –

the size of data

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK on success. GstRtsp.RTSPResult.ENOMEM when the backlog limits are reached. GstRtsp.RTSPResult.EINTR when watch was flushing.

`id` (int ) –

GstRtsp.RTSPResult.OK on success. GstRtsp.RTSPResult.ENOMEM when the backlog limits are reached. GstRtsp.RTSPResult.EINTR when watch was flushing.

### Functions

#### gst_rtsp_watch_new

    GstRTSPWatch *
    gst_rtsp_watch_new (GstRTSPConnection * conn,
                        GstRTSPWatchFuncs * funcs,
                        gpointer user_data,
                        GDestroyNotify notify)

Create a watch object for conn. The functions provided in funcs will be called with user_data when activity happened on the watch.

The new watch is usually created so that it can be attached to a maincontext with gst_rtsp_watch_attach.

conn must exist for the entire lifetime of the watch.

Parameters:

`conn` –

a GstRTSPConnection

`funcs` –

watch functions

`user_data` –

user data to pass to funcs

`notify` –

notify when user_data is not referenced anymore

Returns ( [transfer: full]) –

a GstRTSPWatch that can be used for asynchronous RTSP communication. Free with gst_rtsp_watch_unref () after usage.

## GstRTSPWatchFuncs

Callback functions from a GstRTSPWatch.

## GstRtsp.RTSPWatchFuncs

Callback functions from a GstRtsp.RTSPWatch.

## GstRtsp.RTSPWatchFuncs

Callback functions from a GstRtsp.RTSPWatch.

## Callbacks

### GstRTSPConnectionAcceptCertificateFunc

    gboolean
    (*GstRTSPConnectionAcceptCertificateFunc) (GTlsConnection * conn,
                                               GTlsCertificate * peer_cert,
                                               GTlsCertificateFlags errors,
                                               gpointer user_data)

Parameters:

`conn` –
No description available
`peer_cert` –
No description available
`errors` –
No description available
`user_data` –
No description available
Returns –
No description available

### GstRtsp.RTSPConnectionAcceptCertificateFunc

    function GstRtsp.RTSPConnectionAcceptCertificateFunc(conn: Gio.TlsConnection, peer_cert: Gio.TlsCertificate, errors: Gio.TlsCertificateFlags, user_data: Object): {
        // javascript wrapper for 'GstRTSPConnectionAcceptCertificateFunc'
    }

Parameters:

`conn` (Gio.TlsConnection) –
No description available
`peer_cert` (Gio.TlsCertificate) –
No description available
`errors` (Gio.TlsCertificateFlags) –
No description available
`user_data` (Object) –
No description available
Returns (Number) –
No description available

### GstRtsp.RTSPConnectionAcceptCertificateFunc

    def GstRtsp.RTSPConnectionAcceptCertificateFunc (conn, peer_cert, errors, *user_data):
        #python wrapper for 'GstRTSPConnectionAcceptCertificateFunc'

Parameters:

`conn` (Gio.TlsConnection) –
No description available
`peer_cert` (Gio.TlsCertificate) –
No description available
`errors` (Gio.TlsCertificateFlags) –
No description available
`user_data` (variadic) –
No description available
Returns (bool) –
No description available

The results of the search are